Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025206
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Return Receipttrivialalways2013-11-23 16:292013-12-20 15:13
ReportersureshbabuView Statuspublic 
Assigned Tomigueldejuana 
PrioritylowResolutionfixedFixed in VersionRMP29
StatusclosedFix in branchpiFixed in SCM revision61c1ce267fdf
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomalsasua
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025206: RMP29: When i create a receipt with return line and the total gross amount is zero, when i reopen Layaway text appears

DescriptionWhen i create a receipt with return line and the total gross amount is zero, when i reopen the receipt at WEBPOS, Layaway text wrongly appears in the receipt
Steps To Reproduce1) create a receipt with below details
a) Adhesive body warmers Qty:1 unit price 3.60
b) Alphine sking backpck 27l Qty:1 unit price: 3.60

2) Select line b and click "Return line" button so that receipt total gross amount changes to zero.

b) Alphine sking backpck 27l Qty:-1 unit price: 3.60 and total line amoutn:-3.60

Total Gross Amount: 0.00

3) Then complete the receipt

4) Then reopen the above created receipt using Receipt option in webpos

5) Verify the receipt details

Defect: Layaway label wrongly appears in the screen.
TagsNo tags attached.
Attached Filespng file icon when i create a receipt with return line and the total gross amount is zero when i reopen the receitp Layaway label wrongly appears.png [^] (231,993 bytes) 2013-11-23 16:29

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062422)
hgbot (developer)
2013-11-27 17:50

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Nov 27 17:50:03 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^]

Fixed issue 25206. Fixed issue 25207. Now receipts which have the same amount of positive and negative quantities in the lines will no longer be considered layaways.

---
M src/org/openbravo/retail/posterminal/PaidReceiptProperties.java
---
(0062437)
malsasua (developer)
2013-11-28 12:43

verified
(0062454)
malsasua (developer)
2013-11-28 15:55

changed to fixed in version RMP29
(0062521)
hgbot (developer)
2013-12-04 17:06

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Nov 27 17:50:03 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^]

Fixed issue 25206. Fixed issue 25207. Now receipts which have the same amount of positive and negative quantities in the lines will no longer be considered layaways.

---
M src/org/openbravo/retail/posterminal/PaidReceiptProperties.java
---
(0062591)
hgbot (developer)
2013-12-05 12:13

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Nov 27 17:50:03 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^]

Fixed issue 25206. Fixed issue 25207. Now receipts which have the same amount of positive and negative quantities in the lines will no longer be considered layaways.

---
M src/org/openbravo/retail/posterminal/PaidReceiptProperties.java
---
(0062641)
guilleaer (developer)
2013-12-05 17:21

Reclosing
(0062919)
hgbot (developer)
2013-12-19 19:48

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Nov 27 17:50:03 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^]

Fixed issue 25206. Fixed issue 25207. Now receipts which have the same amount of positive and negative quantities in the lines will no longer be considered layaways.

---
M src/org/openbravo/retail/posterminal/PaidReceiptProperties.java
---
(0063015)
guilleaer (developer)
2013-12-20 15:13

reclosed

- Issue History
Date Modified Username Field Change
2013-11-23 16:29 sureshbabu New Issue
2013-11-23 16:29 sureshbabu Assigned To => migueldejuana
2013-11-23 16:29 sureshbabu File Added: when i create a receipt with return line and the total gross amount is zero when i reopen the receitp Layaway label wrongly appears.png
2013-11-23 16:29 sureshbabu Triggers an Emergency Pack => No
2013-11-27 17:50 hgbot Checkin
2013-11-27 17:50 hgbot Note Added: 0062422
2013-11-27 17:50 hgbot Status new => resolved
2013-11-27 17:50 hgbot Resolution open => fixed
2013-11-27 17:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^]
2013-11-28 12:43 malsasua Review Assigned To => malsasua
2013-11-28 12:43 malsasua Note Added: 0062437
2013-11-28 12:43 malsasua Status resolved => closed
2013-11-28 12:43 malsasua Fixed in Version => RMP30
2013-11-28 15:55 malsasua Status closed => new
2013-11-28 15:55 malsasua Resolution fixed => open
2013-11-28 15:55 malsasua Fixed in Version RMP30 =>
2013-11-28 15:55 malsasua Status new => scheduled
2013-11-28 15:55 malsasua fix_in_branch => pi
2013-11-28 15:55 malsasua Status scheduled => resolved
2013-11-28 15:55 malsasua Resolution open => fixed
2013-11-28 15:55 malsasua Note Added: 0062454
2013-11-28 15:55 malsasua Status resolved => closed
2013-11-28 15:55 malsasua Fixed in Version => RMP29
2013-12-04 17:06 hgbot Checkin
2013-12-04 17:06 hgbot Note Added: 0062521
2013-12-04 17:06 hgbot Status closed => resolved
2013-12-04 17:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^]
2013-12-05 12:13 hgbot Checkin
2013-12-05 12:13 hgbot Note Added: 0062591
2013-12-05 12:13 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^]
2013-12-05 17:21 guilleaer Note Added: 0062641
2013-12-05 17:21 guilleaer Status resolved => closed
2013-12-19 19:48 hgbot Checkin
2013-12-19 19:48 hgbot Note Added: 0062919
2013-12-19 19:48 hgbot Status closed => resolved
2013-12-19 19:48 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^]
2013-12-20 15:13 guilleaer Note Added: 0063015
2013-12-20 15:13 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker